#include <iostream>
#include <locale>
#include <regex>
using namespace std;

int main(int argc, char *argv[]) {
   locale::global(locale ("ru_RU.utf8"));
   wstring wp = L"строка";
   if (argc > 1) {
      wchar_t warg[strlen(argv[1]) + 1];
      mbstowcs(warg, argv[1], strlen(argv[1]) + 1);
      wp = wstring(warg);
   }
   wregex pattern(wp, regex_constants::icase | regex_constants::awk);
   wcmatch match;                          // результат сопоставления
   while (true) {
      wstring buf;
      getline(wcin, buf);
      if (wcin.eof() || buf.empty()) break;
      if (!regex_search((wchar_t*)buf.c_str(), match, pattern)) {
         wcout << "no match found" << endl;
         continue;
      }
      for (auto &m: match) wcout << L": " << m << endl;
   }
}

