#include <iostream>
#include <locale>
#include <regex>
using namespace std;

int main(int argc, char *argv[]) {
   locale::global(locale ("ru_RU.utf8"));
   wstring wp = L"строка";
   if(argc > 1) {
      wchar_t warg[strlen(argv[1]) + 1];
      mbstowcs(warg, argv[1], strlen(argv[1]) + 1);
      wp = wstring(warg);
   }
   wregex pattern(wp);                   // образец
   while (true) {
      wstring buf;
      getline(wcin, buf);
      if (wcin.eof() || buf.empty()) break;
      wsregex_iterator beg = wsregex_iterator(buf.begin(), buf.end(), pattern),
                       end = wsregex_iterator();
      wcout << L"Число сопоставлений " << distance(beg, end) << endl;
      for (auto i = beg; i != end; i++)
         wcout << L": " << i->str(0) << endl;
   }
}
