#include <iostream>
#include <locale>
#include <regex>
using namespace std;

wstring warg(char* arg) {
   wchar_t wa[strlen(arg) + 1];
   mbstowcs(wa, arg, strlen(arg) + 1);
   return wstring(wa);
}

int main(int argc, char *argv[]) {
   locale::global(locale ("ru_RU.utf8"));
   wstring wpat = 1 == argc ? L"слово" : warg(argv[1]), 
           replacement = argc < 3 ? L"понятие" : warg(argv[2]);
   wcout << wpat << L" -> " << replacement << endl;
   basic_regex<wchar_t> pattern(wpat); // образец сопоставления      
   while(true) { 
      wstring buf;           
      getline(wcin, buf);
      if(wcin.eof() || buf.empty()) break; 
      wcout << regex_replace(buf, pattern, replacement) << endl;
   }
}
